Skip to main content
GET
/
v2
/
taxclasses
/
taxclasseswithtaxrates
Returns a list of all tax classes and their calculated tax rates for the given parameters.
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/taxclasses/taxclasseswithtaxrates \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Query Parameters

companyId
string<uuid>

Gets the unique identifier for the firm. Represents a key for identifying a firm within the application.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

departureCountryIso
string
taxReference
enum<integer>

0 = ShipmentAddress, 1 = BillingAddress

Available options:
0,
1
shipmentAddressVatId
string
shipmentAddressCountryIso
string
shipmentAddressState
string
billingAddressVatId
string
billingAddressCountryIso
string
billingAddressState
string
specialTaxTreatment
enum<integer>

0 = None, 1 = ReverseCharge, 2 = ExemptFromVat, 3 = SubjectToVat

Available options:
0,
1,
2,
3
taxClasses
string<uuid>[]

Response

200 - application/json